Commet
  • Pricing
Log InTry out
Add quota POSTList quota allowances GETGet quota allowance GETRemove quota DELETESet quota PUT
System status
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

List quota allowances

Get all quota allowances for a customer across every quota feature in their plan.

GET
/usage/quota/all

Get all quota allowances for a customer across every quota feature in their plan.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/usage/quota/all?customerId=string"
{  "success": true,  "data": [    {      "featureCode": "string",      "current": 0,      "included": 0,      "remaining": 0,      "billedQuantity": 0,      "unlimited": true,      "overageEnabled": true,      "asOf": "2019-08-24T14:15:22Z",      "object": "usage_quota",      "livemode": true    }  ]}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Add quota POST

Add to a customer's quota allowance for a feature. Defaults to 1 if count is omitted.

Get quota allowance GET

Get the current quota allowance (used vs included) for a specific feature.